It must be a requirement